Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155301 - Unable to load dynamic library and exit signal Segmentation fault (11)
Summary: Unable to load dynamic library and exit signal Segmentation fault (11)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 20:56 UTC by linuxgeeky
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 07:38:23 UTC


Attachments (Terms of Use)

Description linuxgeeky 2005-04-18 20:56:14 UTC
Description of problem:
I upgraded my php to 5.0.4 and my configure was 
./configure --prefix=/usr \
--exec-prefix=/usr \
--bindir=/usr/bin \
--sbindir=/usr/sbin \
--sysconfdir=/etc \
--datadir=/usr/share \
--includedir=/usr/include \
--libdir=/usr/lib \
--libexecdir=/usr/libexec \
--localstatedir=/var \
--sharedstatedir=/usr/com \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--cache-file=../config.cache \
--with-config-file-path=/etc \
--with-config-file-scan-dir=/etc/php.d \
--enable-force-cgi-redirect \
--disable-debug \
--enable-pic \
--disable-rpath \
--enable-inline-optimization \
--with-bz2 \
--with-db4=/usr \
--with-curl \
--with-dom=/usr \
--with-exec-dir=/usr/bin \
--with-freetype-dir=/usr \
--with-png-dir=/usr \
--with-gd \
--enable-gd-native-ttf \
--with-ttf \
--with-gettext \
--with-ncurses \
--with-gmp \
--with-iconv \
--with-jpeg-dir=/usr \
--with-openssl \
--with-png \
--with-pspell \
--with-regex=system \
--with-xml \
--with-expat-dir=/usr \
--with-pcre-regex=/usr \
--with-zlib \
--with-layout=GNU \
--enable-bcmath \
--enable-exif \
--enable-ftp \
--enable-magic-quotes \
--enable-safe-mode \
--enable-sockets \
--enable-sysvsem \
--enable-sysvshm \
--enable-discard-path \
--enable-track-vars \
--enable-trans-sid \
--enable-yp \
--enable-wddx \
--enable-mbstring \
--enable-mbstr-enc-trans \
--enable-mbregex \
--without-oci8 \
--with-pear=/usr/share/pear \
--with-imap=shared --with-imap-ssl \
--with-kerberos=/usr/kerberos \
--with-ldap=shared \
--with-mysql=shared,/usr \
--with-pgsql=shared \
--with-unixODBC=shared \
--enable-memory-limit \
--enable-bcmath \
--enable-shmop \
--enable-versioning \
--enable-calendar \
--enable-dbx \
--enable-dio \
--enable-mcal \
--with-apxs2filter=/usr/sbin/apxs

after the make and make install, I restarted apache, now none of my php scripts
works. When I looked at the error logs for 

httpd it gives this error

Version-Release number of selected component (if applicable):
I have redhat enterprise (ES) version 3 and I had php-4.3.2-19.ent instaled on
it with httpd-2.0.46-44.ent and mysql-4.1.11.

How reproducible:
Run any php scripts

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[******error*****]
[Mon Apr 18 15:08:08 2005] [notice] child pid 25188 exit signal Segmentation
fault (11) 

and also these errors

PHP Warning:  PHP Startup: : Unable to initialize module
Module compiled with module API=20020429, debug=0, thread-safety=0
PHP    compiled with module API=20041030, debug=0, thread-safety=0
These options need to match
 in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib/php4/ldap.so' - /usr/lib/php4/ldap.so: undefined symbol: 

OnUpdateInt in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib/php4/mysql.so' - /usr/lib/php4/mysql.so: undefined 

symbol: OnUpdateInt in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib/php4/odbc.so' - /usr/lib/php4/odbc.so: undefined symbol: 

OnUpdateInt in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library
'/usr/lib/php4/pgsql.so' - /usr/lib/php4/pgsql.so: undefined 

symbol: OnUpdateInt in Unknown on line 0


Expected results:


Additional info:

Comment 1 linuxgeeky 2005-04-18 22:09:32 UTC
Now I get these errors in httpd error log after changing the extension dir in
php.ini apart and also the 
[Mon Apr 18 15:08:08 2005] [notice] child pid 25188 exit signal Segmentation
fault (11)

PHP Warning:  PHP Startup: : Unable to initialize module!Module compiled with
module API=20020429, debug=0, 

thread-safety=0!PHP    compiled with module API=20041030, debug=0,
thread-safety=0!These options need to match! in Unknown on 

line 0
PHP Warning:  PHP Startup: !!!!!M!!: Unable to initialize module!Module compiled
with module API=20020429, debug=0, 

thread-safety=0!PHP    compiled with module API=20041030, debug=0,
thread-safety=0!These options need to match! in Unknown on 

line 0
PHP Warning:  PHP Startup: !!!! V!!: Unable to initialize module!Module compiled
with module API=20020429, debug=0, 

thread-safety=0!PHP    compiled with module API=20041030, debug=0,
thread-safety=0!These options need to match! in Unknown on 

line 0
PHP Warning:  PHP Startup: !!!!!]!!: Unable to initialize module!Module compiled
with module API=20020429, debug=0, 

thread-safety=0!PHP    compiled with module API=20041030, debug=0,
thread-safety=0!These options need to match! in Unknown on 

line 0
PHP Warning:  PHP Startup: !!!!!!!!: Unable to initialize module!Module compiled
with module API=20020429, debug=0, 

thread-safety=0!PHP    compiled with module API=20041030, debug=0,
thread-safety=0!These options need to match! in Unknown on 

line 0

Comment 2 Joe Orton 2005-04-19 07:38:23 UTC
PHP 5.0.4 is not included in Red Hat Enterprise Linux 3; if you're having
trouble getting third-party packages work, perhaps try taroon-list@redhat.com
for help.


Note You need to log in before you can comment on or make changes to this bug.